### Method

# Gtk TextIterget_char

#### Declaration [src]

    gunichar
    gtk_text_iter_get_char (
      const GtkTextIter* iter
    )

#### Description [src]

The Unicode character at this iterator is returned.

Equivalent to operator* on a C++ iterator. If the element at this iterator is a non-character element, such as an image embedded in the buffer, the Unicode “unknown” character 0xFFFC is returned. If invoked on the end iterator, zero is returned; zero is not a valid Unicode character.

So you can write a loop which ends when this function returns 0.

#### Return value

Type: `gunichar`

A Unicode character, or 0 if `iter` is not dereferenceable.